package projectzombie.entity;

import bdf.types.BdfObject;
import gl_engine.vec.Vec3d;
import projectzombie.init.Models;
import projectzombie.model.Model;

public class EntityDummy extends Entity implements EntityAlive
{
	public EntityDummy(BdfObject bdf) {
		BdfClassLoad(bdf);
	}

	public EntityDummy(Vec3d pos, Vec3d velocity) {
		super(pos, velocity);
		
		this.hitbox = 0.5;
		this.isSolid = true;
	}

	@Override
	public void addHealth(double amount) {
	}

	@Override
	public void addDamage(double amount) {
		int l = 4;
		amount = amount / (l / 2.5 + 1);
		System.out.println("Dummy Damage Aount: "+amount);
	}
	
	@Override
	public void addFireDamage(double amount) {
		int l = 4;
		amount = amount / (l / 2.5 + 1);
		System.out.println("Dummy Fire Damage Aount: "+amount);
	}
	
	@Override
	public void addBlastDamage(double amount) {
		int l = 4;
		amount = amount / (l / 2.5 + 1);
		System.out.println("Dummy Blast Damage Aount: "+amount);
	}

	@Override
	public double getHealth() {
		return 100;
	}

	@Override
	public void resetHealth() {
	}

	@Override
	public void clearHealth() {
	}

	@Override
	public double maxHealth() {
		return 100;
	}

	@Override
	public void setHealth(double health) {
	}
	
	@Override
	public int bloodParticles() {
		return 5;
	}
	
	@Override
	public Model getModel() {
		return Models.ENTITY_DUMMY;
	}

}
